Skip to main content
GET
/
directories
/
{id}
/
users
List directory users
curl --request GET \
  --url https://app.usechar.ai/api/directories/{id}/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "directory_id": "<string>",
    "user_id": "<string>",
    "workos_directory_user_id": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "state": "<string>",
    "raw_attributes": "<string>",
    "idp_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.usechar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS JWT token. Obtain via WorkOS AuthKit authentication flow. The token must include organization_id claim for organization-scoped endpoints.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource

Response

OK

id
string
required

Internal ID for the directory user record.

directory_id
string
required

Internal directory connection ID that the user belongs to.

user_id
string | null
required

Linked WorkOS user ID if the user has signed in, otherwise null.

workos_directory_user_id
string
required

WorkOS directory user ID for this user.

email
string
required

Directory user's primary email address.

first_name
string | null
required

Directory user's given name, if provided.

last_name
string | null
required

Directory user's family name, if provided.

state
string
required

Directory user state (active or inactive).

raw_attributes
string | null
required

JSON string of raw IdP attributes for this user, if provided.

idp_id
string | null
required

External identity provider user ID, if available.

created_at
string<date-time>
required

Timestamp when the directory user record was created.

updated_at
string<date-time>
required

Timestamp when the directory user record was last updated.